fields:
  builderOptions:
    label: Page Layout
    type: headline

  layout:
    label:
    type: layout
    layouts:
      - "1/1"
      - "1/2, 1/2"
      - "1/3, 1/3, 1/3"
      - "1/4, 1/4, 1/4, 1/4"
      - "1/3, 2/3"
      - "2/3, 1/3"
    fieldsets:
      text:
        label: Text
        type: group
        fieldsets:
          - heading
          - text
          - largetext
          - list
          - button
          - quote
          - downloadPdf
          - border
          - colourborder
          heading:
            extends: blocks/heading
            fields:
              justify:
                label: Justify
                type: select
                options:
                  left: Left
                  centre: Centre


      media:
        label: Media
        type: group
        fieldsets:
          - image
          - gallery
          - video
    settings:
      fields:
        layoutClass:
          label: Class
          type: text
          width: 1/2
        layoutID:
          label: ID
          type: text
          width: 1/2

        containBlock:
          label: Contain or full width
          type: select
          options:
            full: Full
            contain: Contain
          width: 1/2

        marginBottom:
          label: Add margin bottom
          type: toggle
          text:
            - "No"
            - "Yes"
          width: 1/2
